Page MenuHomePhabricator

Clean up OCG related code from ElectronPdfService once OCG is gone
Closed, ResolvedPublic2 Estimated Story Points

Description

There's some logic related to OCG in the ElectronPdfService that we cannot remove just yet (as part of T171956: Allow PDF rendering to be triggered only by electron for single-article PDFs. We should remove that code once OCG is decommissioned. Search for this task number in the codebase to find the FIXME with instructions.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2017, 2:57 PM
bmansurov updated the task description. (Show Details)Sep 26 2017, 2:59 PM
ovasileva triaged this task as Medium priority.Nov 7 2017, 5:50 PM
ovasileva set the point value for this task to 2.
bmansurov claimed this task.Dec 4 2017, 4:04 PM

Bringing in to the sprint board after speaking with Olga.

Change 395045 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/extensions/ElectronPdfService@master] Remove Extension:Collection related code

https://gerrit.wikimedia.org/r/395045

Change 395554 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/extensions/ElectronPdfService@master] Remove wrong FIXME

https://gerrit.wikimedia.org/r/395554

Change 395554 abandoned by Bmansurov:
Remove wrong FIXME

https://gerrit.wikimedia.org/r/395554

Jdlrobson added a subscriber: Jdlrobson.

Why is removing a FIXME a 2 pointer btw? :) Did we mean 0.5?
Am I missing something or is this ready for sign off?

Change 395045 merged by jenkins-bot:
[mediawiki/extensions/ElectronPdfService@master] Remove wrong FIXME

https://gerrit.wikimedia.org/r/395045

bmansurov removed bmansurov as the assignee of this task.Dec 5 2017, 11:33 PM
phuedx closed this task as Resolved.EditedDec 7 2017, 6:07 PM
phuedx claimed this task.
phuedx added a subscriber: phuedx.

This LGTM.

In standup, we discussed that this task changed since we estimated it due to an investigation that we did elsewhere. What was that investigation and where was it done? Can we link this task to it?